#数据库启动方式
data:
  #是否初始化
  init: false
  #脚本升级版本号
  upgradeVersion: 1

#服务端口
server:
  port: 8888
  servlet:
    context-path: /tradeV4-backend

#UPLOAD FILE 上传文件
upload:
  #文件存储磁盘
  disk: /Users/wanxiangzhou/Documents/workspace4.7.0/gradleFile/

spring:
  thymeleaf:
    cache: false
  datasource:
    master:
      continueOnError: true
      type: com.alibaba.druid.pool.DruidDataSource
      url: jdbc:mysql://192.168.3.6:3106/factoring_trade_online?characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true
      username: root
      password: root
      driver-class-name: com.mysql.jdbc.Driver
      initialSize: 5
      minIdle: 5
      maxActive: 20
      maxWait: 60000
      timeBetweenEvictionRunsMillis: 60000
      validationQuery: SELECT 1
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      poolPreparedStatements: true
      maxPoolPreparedStatementPerConnectionSize: 20
      filters: stat
      connectionProperties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000

    inkassoData:
      continueOnError: true
      url: jdbc:sqlserver://101.132.27.17:7826;DatabaseName=InkassoData
      username: InkassoData
      password: pd6VOeuCmzP3CcRy
      driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
  jackson:
    date-format: yyyy-MM-dd
    time-zone: GMT+8
  http:
    multipart:
      max-file-size: 16384Mb
      max-request-size: 65536Mb

trade:
  rateLimiter: 50000
  limiterTime: 5
  maxTenantSize: 2  #个人可认证的的最大企业个数
  file:
    resourcePath: /upload/**
    storagePath: D://tradeFile//
  not-login:
    url:
      - login/weixin/*      #微信登录
      - login/fastRegister  #微信快速注册
      - entitygenerator/*     #代码生成器
      - entitygenerator/*/*   #代码生成器
      - entitygenerator/*/*/*   #代码生成器
      - codegenerator         #代码生成器
      - codegenerator/*/*
  authentication: true
  freeNum: 1

#LOG
logging:
  level:
    com: debug

#PAGEHELPER
pagehelper:
  helperDialect: mysql
  reasonable: false
  supportMethodsArguments: true
  params: count=countSql

localhost: 192.168.2.34

#Redis缓存服务配置
redis:
  #最大连接数
  maxTotal: 100
  #最小空闲连接数
  maxIdle: 0
  #每次逐出检查时 逐出的最大数目
  numTestsPerEvictionRun: 20
  #对象空闲多久后逐出
  softMinEvictableIdleTimeMillis: 10000
  #逐出连接的最小空闲时间
  minEvictableIdleTimeMillis: 1800000
  #逐出扫描的时间间隔(毫秒)
  timeBetweenEvictionRunsMillis: 30000
  #连接时的最大等待毫秒数
  maxWaitMillis: 2000
  #在获取连接的时候检查有效性
  testOnBorrow: true
  #在空闲时检查有效性
  testWhileIdle: true
  #服务地址
  url: 192.168.2.22
  #端口(redis默认6379端口，如本地redis.conf文件未改动端口号，无需修改)
  port: 6379
  #数据库索引号
  indexDB: 5


# mybatis-plus 配置
mybatis-plus:
  mapper-locations: classpath*:mapper/**/*.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.sunxung.factoring.entity
  global-config:
    # 数据库相关配置
    db-config:
      #主键类型  AUTO:"数据库ID自增", INPUT:"用户输入ID",ID_WORKER:"全局唯一ID (数字类型唯一ID)", UUID:"全局唯一ID UUID";
      id-type: auto
      #驼峰下划线转换
      table-underline: true
      db-type: mysql
# flowable 配置
flowable:
  async-executor-activate: false
# sop接口调用地址
sop:
  url: http://localhost:8868
  findCorporateGoodwillUrl: http://192.168.3.6:8868/api/trade/corporateGoodwill
  getScopeUrl: http://192.168.3.6:8868/api/trade/getScope
  getChangesUrl: http://192.168.3.6:8868/api/trade/getChanges
  dongjiangaoRisksUrl: http://192.168.3.6:8868/api/trade/dongjiangaoRiskById
  getBusinesssScoreUrl: http://192.168.3.6:8868/api/trade/getBusinesssScore
  pubStockUrl: http://192.168.3.6:8868/api/trade/pubStock
  getIndustryUrl: http://192.168.3.6:8868/api/trade/getIndustry
  getProjectReviewInfoUrl: http://192.168.3.6:8868/api/trade/getProjectReviewInfo
  getProjectCoreEnterpriseScoreUrl: http://192.168.3.6:8868/api/trade/getProjectCoreEnterpriseScore
  reviewResolutionReportUrl: http://192.168.3.6:8868/api/trade/reviewResolution/report

fdd:
  contractUrl: "http://192.168.125.194:8888/#/register"
  caykCustomId: "8210513B14FE854DF1061E2D54665AF9"
  yhrzzpCustomId: "2291B7F84D6340530A5469FB6FC15BF3"
  registerUrl: "http://192.168.3.6:8870/fdd/accountRegister"
  authUrl: "http://192.168.2.34:443/fdd/getAuthAddress/sop"
  removeAuthInfoUrl: "http://192.168.3.6:8870/fdd/removeAuthInfoUrl"
  authUrlV3: "http://192.168.3.6:8870/fdd/v3/getAuthAddress"
  authUrlV3PersonalFaceRecognition: "http://192.168.3.6:8870/fdd/v3/getAuthAddress/face/recognition"
  uploadContractUrl: "http://192.168.3.6:8870/fdd/uploadContract"
  batchSignUrl: "http://192.168.3.6:8870/fdd/manualBatchSign"
  batchSignUrlSearchLocation: "http://192.168.3.6:8870/fdd/manualBatchSign/searchLocation"
  authSignUrl: "http://192.168.3.6:8870/fdd/autoSign"
  downloadContractUrl: "http://192.168.3.6:8870/fdd/downloadContract"
  filedContractUrl: "http://192.168.3.6:8870/fdd/contractFiled"
  beforeAutoSignUrl: "http://192.168.3.6:8870/fdd/before_autoSign"
  shortUrl: "http://192.168.2.34:443/fdd/short_url"
  reportUrl: "http://192.168.3.6:8870/fdd/compliance_contract_report"
  authInfoUrl: "http://192.168.3.6:8870/fdd/getAuthInfo"
  getAuthInfoDetail: "http://192.168.2.34:443/fdd/getAuthInfoDetail"
  signInfoUrl: "http://192.168.3.6:8870/fdd/getSignInfo"
  viewContractUrl: "http://192.168.3.6:8870/fdd/getViewContractUrl"

  localhost: http://localhost:8888



auth:
  not-login:
    url:
      - tradeV4-backend/user/do_login
      - tradeV4-backend/purchContract/confirm/doAuth
      - tradeV4-backend/purchContract/confirm/signBack
      - api/*/*/*
      - api/*/*
      - api/*
      - tradeV4-backend/authority/*
      - tradeV4-backend/authority/*/*
      - tradeV4-backend/frontEnd/*
      - tradeV4-backend/frontEnd/*/*
      - tradeV4-backend/electronic/signature/personal/findByIdForC
      - tradeV4-backend/bill/*
